Biblio::SICI::ContributionSegment(3pm)

NAME
Biblio::SICI::ContributionSegment - The contribution segment of a SICI

VERSION
version 0.04

SYNOPSIS
  my $sici = Biblio::SICI->new();

  $sici->contribution->location('6-21');

DESCRIPTION
Please note: You are expected to not directly instantiate objects of this class!

The contribution segment of a SICI contains information about a contribution to an item, e.g. about an article published in a journal issue. A SICI can be valid without containing data on a contribution so this segment may be empty / unused.

For further information please have a look at the standard.

ATTRIBUTES
For each attribute, clearer ("clear_") and predicate ("has_") methods are provided.

"location"
    The location of the contribution within the item. A typical example would be the range of pages an article was printed on.

"titleCode"
    A special code of no more than 6 characters, derived from the title of the contribution. Rules for the construction of the code are provided in the standard.

"localNumber"
    An opaque number that somehow describes the contribution in the context of its item.

METHODS

STRING "to_string"()
    Returns a stringified representation of the data in the contribution segment.

"reset"()
    Resets all attributes to their default values.

    Resetting the contribution segment also resets the value of the "csi" attribute in the control segment!

BOOL "is_valid"()
    Checks if the data for the contribution segment conforms to the standard.

SEE ALSO
Biblio::SICI::Role::ValidSegment

AUTHOR
Heiko Jansen <hjansen@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2014 by Heiko Jansen.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.